These are chat archives for fossasia/open-event-server

4th
Sep 2017
Shivansh Mishra
@treeJoker
Sep 04 2017 13:52
hi i am trying to install open-event server
hi i am trying to install the app on my computer but when i try to install the requirements using the command "sudo -H pip install -r requirements.txt" the error comes out
"Command "python setup.py egg_info" failed with error code 1 in /private/tmp/pip-build-g007o8im/librabbitmq/" can any one help me out to resolve it P.S i am using osx sierra and python version is 3.6.0
Lucas Ruchel
@lucasruchel
Sep 04 2017 14:00
Hello @treeJoker , Did you try to install with python2? I had the same problem when I tried to install
Shivansh Mishra
@treeJoker
Sep 04 2017 14:02
@lucasruchel but if i installed it via python2 the will those module be imported to the app since it is running python3
Piyush Agrawal
@poush
Sep 04 2017 14:02
Orga Server works on python2.7
reinstall your packages with pip for python2
Shivansh Mishra
@treeJoker
Sep 04 2017 16:49
DEPRECATION: Uninstalling a distutils installed project (pyOpenSSL) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
DEPRECATION: Uninstalling a distutils installed project (pyOpenSSL) has been deprecated and will be removed in a future version. This is due to the fact that uninstalling a distutils project will only partially uninstall the project.
i am getting this error when i try to install app on my computer P.S. i am using osx sierra and python version 2.7